clear model data parama options

%%
% Initial concentrations are saved in |data| to be used in sum of
% squares function.

SGli0 = 0.017;
SHAc0 = 0.00001;
SHBu0 = 0.00001;
SHEt0 = 0.00001;
X10 = 0.002;
SH20 = 0.00001;
SHAcm0 = 0.00001;
SHBum0 = 0.00001;

data.y0 = [SGli0;SHAc0;SHBu0;SHEt0;X10;SH20;SHAcm0;SHBum0];

%%
options = odeset('RelTol', 1e-10, 'AbsTol', 1e-10);
[t,y] = ode15s(@(t,y) Pei_Ying_Lin_2007_ode(t,y),linspace(0,30),data.y0,options);
%%
figure(1); clf
plot(t,y(:,1))
hold on
plot(t,y(:,2),'-g')
hold on
plot(t,y(:,3),'-r')
hold on
plot(t,y(:,5),'-k')
hold on
xlabel('t', 'Color', 'b')
ylabel('Concentrao (M)', 'Color', 'b')
text(0.5,0.017,'Glicose','Color','b')
text(10,0.007,'cido Actico','Color','g')
text(10,0.012,'cido Butrico','Color','r')
text(10,0.005,'Biomassa','Color','k')
%%
%==========================================================================
%Physicochemical parameter values
%==========================================================================
%Parameter Value Unit
%..........................................................................
R = 0.083145;%bar l mol^-1 K^-1
T = 298.15;%k
P = 1;%bar
V = 0.08;%l
%..........................................................................
%==========================================================================
%Gas transfer rates
%==========================================================================
V_H2=y(:,6)*V*R*T/P;
%..........................................................................
%%
%%
figure(2); clf
plot(t,V_H2)
hold on
xlabel('t', 'Color', 'b')
ylabel('Volume (l)', 'Color', 'b')
text(15,0.09,'Hidrognio','Color','b')